Bug 434741 - AMD SB700/SB800 SATA support 64bit DMA
AMD SB700/SB800 SATA support 64bit DMA
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity high
: rc
: ---
Assigned To: Bhavna Sarathy
Martin Jenner
: OtherQA
Depends On:
Blocks: 253746
  Show dependency treegraph
 
Reported: 2008-02-25 02:45 EST by Shane Huang
Modified: 2009-06-19 22:25 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:10:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SB700/SB800 SATA support 64bit DMA (1.75 KB, patch)
2008-02-25 02:45 EST, Shane Huang
no flags Details | Diff
RHEL patch: 64-bit DMA support patch (2.30 KB, patch)
2008-02-28 15:16 EST, Bhavna Sarathy
no flags Details | Diff

  None (edit)
Description Shane Huang 2008-02-25 02:45:32 EST
Description of problem:
SB700 SATA controller can support 64 bit DMA, the previous git commit
badc2341579511a247f5993865aa68379e283c5c was added with
careless reference to SB600, which should be modified by this patch.

This patch has been accepted by kernel.org, the git commit is:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-
2.6.git;a=commit;h=e39fc8c9fd0bb6f4018186801e4a53a5eccaaf70

Can you add this patch to RHEL5.2 before its final release?
If it is too late to add it to RHEL5.2, you can add it to RHEL5.3

Thanks
Comment 1 Shane Huang 2008-02-25 02:45:32 EST
Created attachment 295770 [details]
SB700/SB800 SATA support 64bit DMA
Comment 2 Russell Doty 2008-02-25 14:40:19 EST
Shane,

What problem does this patch fix? What happens if we do not include this patch?
Comment 3 Shane Huang 2008-02-25 21:19:22 EST
We are only be able to benefit from 4G system memory without this patch,
even if there is more than 4G physical memory on the board with SB700.
Comment 4 Bhavna Sarathy 2008-02-27 15:04:55 EST
Russ,

Peter verbally okayed the inclusion of this patch yesterday and I'll work on 
creating a patch for testing and submission.  I've added the BZ to the R5.2 
masterbug so I don't lose sight of it's existance.

Bhavana
Comment 5 RHEL Product and Program Management 2008-02-27 15:59:06 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Bhavna Sarathy 2008-02-28 15:16:49 EST
Created attachment 296252 [details]
RHEL patch: 64-bit DMA support patch

RPMs built on brew and uploaded to AMD for testing.
Comment 7 Bhavna Sarathy 2008-02-29 11:08:57 EST
AMD chipset QA test results using RHEL brew build

List test item as below and result at the right side.

4G/6G memory boot     ----------------------   PASS
AHCI/Native IDE/Combine Mode --------   PASS
Hdd performance test     --------------------   PASS
Bonnie++ on hdd   -----------------------------  PASS
Burnintest for 5h   ------------------------------   PASS

Config:

CPU: Deerhound AM2r2 B0 Node4M uPGA Organic 1800MHz/1600MHz/2048K/2MB/1.2V DT 4C
89W EVT
Motherboard: AMD Shiner RS780 A12/SB700 A12 Rev.04
Memory: Kingston 1024MB 800MT/s DDR2 UDIMM(2048M for 6G test)
SATA HDD: Western Digital Caviar SE WD1600AAJS SATA/300 160GB   

Submitted to RHML on Feb 29
Comment 8 Bhavna Sarathy 2008-03-20 09:36:08 EDT
Submitted to RHML on 2/29, received 2 ACKs.
Comment 9 Bhavna Sarathy 2008-04-01 11:04:00 EDT
Submitted two upstream commits to address SB600 32-bit and sect255 issue:

a878539ef994787c447a98c2e3ba0fe3dad984ec
4cde32fc4b32e96a99063af3183acdfd54c563f0

Comment 11 Shane Huang 2008-04-01 20:49:28 EDT
1. Can you also upload the testing patch to this BZ?
2. Has the patch in comment #6 been added into RHEL5.2 kernel?
3. Do you mean you only add these two upstream commits to SB600? While SB700 
is not impacted?
Comment 12 Shane Huang 2008-04-03 02:45:33 EDT
The testing kernel with those two upstream commits to address SB600 32-bit
and sect255 issue:

a878539ef994787c447a98c2e3ba0fe3dad984ec
4cde32fc4b32e96a99063af3183acdfd54c563f0

works well on SB600 boards in our QA's test. FYI.
Comment 13 Don Zickus 2008-04-09 14:44:22 EDT
in kernel-2.6.18-89.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 15 John Poelstra 2008-04-23 13:40:38 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot6--available now on partners.redhat.com.  

We are nearing GA for 5.2 so please test and confirm that your issue is fixed ASAP.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 16 John Poelstra 2008-05-01 12:50:44 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot7--available now on partners.redhat.com.  

We are nearing GA for 5.2--this is the last opportunity to test and confirm that
your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 18 errata-xmlrpc 2008-05-21 11:10:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.